Qyra
Referencev2

Search field values

Searches for unique field values asynchronously, returning a query UUID to poll for results

POST/api/v2/projects/{projectUuid}/query/field-values

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "parameters": {
    "property": "string"
  },
  "usePreAggregateCache": true,
  "invalidateCache": true,
  "context": "dashboardView",
  "forceRefresh": true,
  "filters": {
    "and": [
      {
        "or": [
          {}
        ],
        "id": "string"
      }
    ],
    "id": "string"
  },
  "limit": 0,
  "search": "string",
  "fieldId": "string",
  "table": "string"
}

Responses

200 — Success

{
  "results": {
    "labelFieldId": "string",
    "valueFieldId": "string",
    "cacheMetadata": {
      "preAggregate": {
        "reason": {
          "reason": "no_pre_aggregates_defined"
        },
        "name": "string",
        "hit": true
      },
      "cacheHit": true,
      "cacheKey": "string",
      "cacheExpiresAt": "2024-01-01T00:00:00.000Z",
      "cacheUpdatedTime": "2024-01-01T00:00:00.000Z"
    },
    "queryUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}